       identification division.
       program-id. sam.
       environment division.
       configuration section.
       input-output section.
       file-control.
           select oldmaster assign to disk
           organization is line sequential.
           select newfile   assign to disk
           organization is indexed
           access is sequential
           record is imacctno.
       data division.
       file section.
       fd  oldmaster
           label records are standard
           value of file-id is "old".
       01  oldrec.
           02 macctno pic 9(5)  .
           02 amtdue pic 9(4)v99 .
           02 filler pic x(69).

       fd  newfile
           label records are standard
           value of file-id is "new".


       01  newrec.
           02 imacctno pic 9(5)  .
           02 iamtdue pic 9(4)v99 .
           02 filler pic x(69).



       procedure division.
       st-pa.
           open input oldmaster.

           open output newfile.
           display "oldmaster content".
       scan.
           read oldmaster at end go to last.
           display macctno , "  " , amtdue.
           move macctno to imacctno.
           move amtdue to iamtdue.
           write newrec invalid key   display "wrong entry".
           go to scan.

       last.
           close oldmaster  newfile.

           open input newfile.
           display "indexed file content".
       print.
           read newfile at end go to last1.
           display imacctno , "  " , iamtdue.
           go to print.

       last1.
           close newfile.
